## Basic guidelines for everycase.

To contribute you will need an account in https://gitea.sergiotarxz.freemyip.com
do not worry, it is really easy to get one, you do not need to give your real
email address.

Once you did that you should make a Fork of this project in your account and
then clone that fork.

This link should give you to a forking interface of this project: https://gitea.sergiotarxz.freemyip.com/repo/fork/15

Then you checkout to a new branch like this:

```shell
git checkout -b feature/adding_more_sugar_to_the_project
```

or

```shell
git checkout -b bugfix/removing_salt_added_while_trying_to_add_sugar
```

You are ready to start changing things, when you want to push a commited change then you should do something like this.

```shell
git push -u origin HEAD
```

Then do a pull request on the original project and wait for review.

## Commiting

When making a commit you can use the prefixes fix:, feat: or refactor: to indicate what is the point of the commit plus a good description of the changes without too much text.

## Contributing a new theme.

When creating a new theme you should create a new folder under themes with the name of your theme with a folder named public and dist inside. 

```shell
mkdir -pv themes/sugartheme/public/dist
```

Dist is where the files that compose your theme must end.

Your theme public folder must be a valid node project with a `package.json` and a script named `build`.

The current theme of the project is specified in `peertube-dl-web.conf` so for test your new theme you should edit that file, avoid git tracks that file change if the theme is not intended to become default.

While running `cpanm .` the Makefile of the project will run `yarn build` inside your theme so there is no need you do that, only do not push autogenerated files.

As rule of thumb is better to create a new theme that to change drastically one on interface, but is not a definitive rule.

## Autogenerated files.

If a autogenerated file reach master that is considered a bug, review will try to avoid that situation, but you should try your git client do not track that file, is generally more safe to manually `git add` every file you want to be tracked, altough if you do not edit `peertube-dl-web.conf` `git add -u` can also do the trick.
